package com.yc.education.service.impl;/**
 * huangpan
 * 2019/10/14
 * energy
 */

import com.yc.education.mapper.JobMapper;
import com.yc.education.model.Job;
import com.yc.education.service.JobService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *@ClassName JobServiceImpl
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/10/14 9:40
 *@Version 1.0
 */
@Service
public class JobServiceImpl extends BaseService<Job> implements JobService {
    @Autowired
    JobMapper jobMapper;

    @Override
    public List<Job> getJobs() {
        return jobMapper.getJobs();
    }

    @Override
    public Job getJobById(Integer id) {
        return jobMapper.getJobById(id);
    }

    @Override
    public void delJobById(Integer id) {
        jobMapper.deleteByPrimaryKey(id);
    }
}
